package com.kingdee.eas.custom.integration.feishu;

import com.kingdee.bos.BOSException;
import com.kingdee.bos.BOSObjectFactory;
import com.kingdee.bos.util.BOSObjectType;
import com.kingdee.bos.Context;

public class FeishuApprovalGroupFactory
{
    private FeishuApprovalGroupFactory()
    {
    }
    public static IFeishuApprovalGroup getRemoteInstance() throws BOSException
    {
        return (IFeishuApprovalGroup)BOSObjectFactory.createRemoteBOSObject(new BOSObjectType("DAFFF593") , IFeishuApprovalGroup.class);
    }
    
    public static IFeishuApprovalGroup getRemoteInstanceWithObjectContext(Context objectCtx) throws BOSException
    {
        return (IFeishuApprovalGroup)BOSObjectFactory.createRemoteBOSObjectWithObjectContext(new BOSObjectType("DAFFF593") , IFeishuApprovalGroup.class, objectCtx);
    }
    public static IFeishuApprovalGroup getLocalInstance(Context ctx) throws BOSException
    {
        return (IFeishuApprovalGroup)BOSObjectFactory.createBOSObject(ctx, new BOSObjectType("DAFFF593"));
    }
    public static IFeishuApprovalGroup getLocalInstance(String sessionID) throws BOSException
    {
        return (IFeishuApprovalGroup)BOSObjectFactory.createBOSObject(sessionID, new BOSObjectType("DAFFF593"));
    }
}